com.tibco.bpm.service.connector

## Class WorkItemSchedulerService

- java.lang.Object
- - com.tibco.bpm.service.connector.WorkItemSchedulerService

- All Implemented Interfaces:
    WorkItemSchedulerService

      public class WorkItemSchedulerService
      extends java.lang.Object
      implements WorkItemSchedulerService

  Provides access to the WorkItemSchedulerService interfaces.

  ©2011 TIBCO Software Inc.
  Since:
    1.2

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `cancelWorkItem(com.tibco.n2.brm.api.ObjectID workItemId)` Cancel a work item (because the parent application has been cancelled.
    `boolean` | `enableWorkItem(com.tibco.n2.brm.api.ObjectID workItemId, com.tibco.n2.brm.api.ItemBody itemBody)` Entry point for the enabling of a work item.
    `boolean` | `rescheduleWorkItem(com.tibco.n2.brm.api.ObjectID workItemId, com.tibco.n2.brm.api.ItemSchedule itemSchedule, com.tibco.n2.brm.api.ItemBody itemBody)` Change the scheduling information and optionally the work item data for an existing work item
    `boolean` | `rescheduleWorkItem(com.tibco.n2.brm.api.ObjectID workItemId, com.tibco.n2.brm.api.ItemSchedule itemSchedule, com.tibco.n2.brm.api.ItemBody itemBody, com.tibco.n2.common.organisation.api.XmlDynamicIdField[] dynamicOrgAttributes)` Change the scheduling information and optionally the work item data for an existing work item
    `boolean` | `resumeWorkItem(com.tibco.n2.brm.api.ObjectID workItemId)` PRIVATE API - Reserved for Internal Use Resume a currently suspended work item (because the parent application has been resumed).
    `com.tibco.n2.brm.api.ObjectID` | `scheduleWorkItem(com.tibco.n2.brm.api.Item item, com.tibco.n2.brm.api.ItemContext itemContext, com.tibco.n2.brm.api.ItemBody itemBody)` PRIVATE API - Reserved for Internal Use Add a new work item to the work list.
    `com.tibco.n2.brm.api.ObjectID` | `scheduleWorkItemWithWorkModel(com.tibco.n2.brm.api.ItemContext itemContext, com.tibco.n2.brm.api.ItemBody itemBody, java.lang.String workModelUID, long groupId)` PRIVATE API - Reserved for Internal Use Add a new work item with an optional model to the work list
    `boolean` | `suspendWorkItem(com.tibco.n2.brm.api.ObjectID workItemId)` PRIVATE API - Reserved for Internal Use Suspend a work item (because the parent application has been suspended)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### cancelWorkItem

          public boolean cancelWorkItem(com.tibco.n2.brm.api.ObjectID workItemId)
                                 throws com.tibco.n2.brm.services.InvalidWorkItemFault,
                                        com.tibco.n2.brm.services.InternalServiceFault,
                                        com.tibco.n2.brm.services.WorkItemAPIScriptCancelFault,
                                        com.tibco.n2.brm.services.SecurityFault

      Description copied from interface: `WorkItemSchedulerService`
      Cancel a work item (because the parent application has been cancelled.
      Specified by:
        `cancelWorkItem` in interface `WorkItemSchedulerService`
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkItemFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.WorkItemAPIScriptCancelFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### enableWorkItem

          public boolean enableWorkItem(com.tibco.n2.brm.api.ObjectID workItemId,
                                        com.tibco.n2.brm.api.ItemBody itemBody)
                                 throws com.tibco.n2.brm.services.InvalidWorkItemFault,
                                        com.tibco.n2.brm.services.WorkItemFault,
                                        com.tibco.n2.brm.services.InternalServiceFault

      Description copied from interface: `WorkItemSchedulerService`
      Entry point for the enabling of a work item.
      Specified by:
        `enableWorkItem` in interface `WorkItemSchedulerService`
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkItemFault`
        `com.tibco.n2.brm.services.WorkItemFault`
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### rescheduleWorkItem

          public boolean rescheduleWorkItem(com.tibco.n2.brm.api.ObjectID workItemId,
                                            com.tibco.n2.brm.api.ItemSchedule itemSchedule,
                                            com.tibco.n2.brm.api.ItemBody itemBody)
                                     throws com.tibco.n2.brm.services.InvalidWorkItemFault,
                                            com.tibco.n2.brm.services.InternalServiceFault,
                                            com.tibco.n2.brm.services.SecurityFault

      Description copied from interface: `WorkItemSchedulerService`
      Change the scheduling information and optionally the work item data for an existing work item
      Specified by:
        `rescheduleWorkItem` in interface `WorkItemSchedulerService`
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkItemFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### rescheduleWorkItem

          public boolean rescheduleWorkItem(com.tibco.n2.brm.api.ObjectID workItemId,
                                            com.tibco.n2.brm.api.ItemSchedule itemSchedule,
                                            com.tibco.n2.brm.api.ItemBody itemBody,
                                            com.tibco.n2.common.organisation.api.XmlDynamicIdField[] dynamicOrgAttributes)
                                     throws com.tibco.n2.brm.services.InvalidWorkItemFault,
                                            com.tibco.n2.brm.services.InternalServiceFault,
                                            com.tibco.n2.brm.services.SecurityFault

      Description copied from interface: `WorkItemSchedulerService`
      Change the scheduling information and optionally the work item data for an existing work item
      Specified by:
        `rescheduleWorkItem` in interface `WorkItemSchedulerService`
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkItemFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### resumeWorkItem

          public boolean resumeWorkItem(com.tibco.n2.brm.api.ObjectID workItemId)
                                 throws com.tibco.n2.brm.services.InvalidWorkItemFault,
                                        com.tibco.n2.brm.services.InternalServiceFault,
                                        com.tibco.n2.brm.services.SecurityFault

      Description copied from interface: `WorkItemSchedulerService`
      PRIVATE API - Reserved for Internal Use Resume a currently suspended work item (because the parent application has been resumed).
      Specified by:
        `resumeWorkItem` in interface `WorkItemSchedulerService`
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkItemFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### scheduleWorkItem

          public com.tibco.n2.brm.api.ObjectID scheduleWorkItem(com.tibco.n2.brm.api.Item item,
                                                                com.tibco.n2.brm.api.ItemContext itemContext,
                                                                com.tibco.n2.brm.api.ItemBody itemBody)
                                                         throws com.tibco.n2.brm.services.WorkItemFault,
                                                                com.tibco.n2.brm.services.InvalidEntityFault,
                                                                com.tibco.n2.brm.services.InternalServiceFault,
                                                                com.tibco.n2.brm.services.InvalidWorkGroupFault,
                                                                com.tibco.n2.brm.services.InvalidWorkTypeFault,
                                                                com.tibco.n2.brm.services.SecurityFault

      Description copied from interface: `WorkItemSchedulerService`
      PRIVATE API - Reserved for Internal Use Add a new work item to the work list.
      Specified by:
        `scheduleWorkItem` in interface `WorkItemSchedulerService`
      Returns:
      Throws:
        `com.tibco.n2.brm.services.WorkItemFault`
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.InvalidWorkGroupFault`
        `com.tibco.n2.brm.services.InvalidWorkTypeFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### scheduleWorkItemWithWorkModel

          public com.tibco.n2.brm.api.ObjectID scheduleWorkItemWithWorkModel(com.tibco.n2.brm.api.ItemContext itemContext,
                                                                             com.tibco.n2.brm.api.ItemBody itemBody,
                                                                             java.lang.String workModelUID,
                                                                             long groupId)
                                                                      throws com.tibco.n2.brm.services.WorkItemFault,
                                                                             com.tibco.n2.brm.services.InvalidEntityFault,
                                                                             com.tibco.n2.brm.services.InternalServiceFault,
                                                                             com.tibco.n2.brm.services.InvalidWorkGroupFault,
                                                                             com.tibco.n2.brm.services.WorkItemAPIScriptCancelFault,
                                                                             com.tibco.n2.brm.services.InvalidWorkModelFault,
                                                                             com.tibco.n2.brm.services.SecurityFault

      Description copied from interface: `WorkItemSchedulerService`
      PRIVATE API - Reserved for Internal Use Add a new work item with an optional model to the work list
      Specified by:
        `scheduleWorkItemWithWorkModel` in interface `WorkItemSchedulerService`
      Returns:
      Throws:
        `com.tibco.n2.brm.services.WorkItemFault`
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.InvalidWorkGroupFault`
        `com.tibco.n2.brm.services.WorkItemAPIScriptCancelFault`
        `com.tibco.n2.brm.services.InvalidWorkModelFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### suspendWorkItem

          public boolean suspendWorkItem(com.tibco.n2.brm.api.ObjectID workItemId)
                                  throws com.tibco.n2.brm.services.InvalidWorkItemFault,
                                         com.tibco.n2.brm.services.InternalServiceFault,
                                         com.tibco.n2.brm.services.SecurityFault

      Description copied from interface: `WorkItemSchedulerService`
      PRIVATE API - Reserved for Internal Use Suspend a work item (because the parent application has been suspended)
      Specified by:
        `suspendWorkItem` in interface `WorkItemSchedulerService`
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkItemFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.SecurityFault`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.